Subject: Re: [PATCH] staging/comedi: new Kconfig and Makefiles, drivers grouped by bustype.

From: Randy Dunlap <[email-masked]>
Date: Wed, 19 May 2010 10:32:03 -0700

On Fri, 14 May 2010 20:44:23 -0700 Greg KH wrote:

> On Fri, May 14, 2010 at 08:29:33PM -0400, Frank Mori Hess wrote:
> > On Friday 14 May 2010, Greg KH wrote:
> > > Wow.  Is this something that we really want?  That's a lot of new
> > > Kconfig options, and while it seems like it makes sense, I would like to
> > > get the comedi developers opinion here.
> > 
> > It doesn't matter to me how granular the Kconfig stuff is.  Personally, the 
> > only thing I tend to do is disable are the pcmcia drivers as a group on 
> > desktop machines.  Also, I noticed in the patch it includes the 8255 
> > module as part of the PCI and ISA groups, but not PCMCIA.  But it is used 
> > by some of the PCMCIA drivers as well.
> 
> Ok, I'll queue this up.  Alex can you send a follow-on patch to fix up
> the 8255 stuff?

linux-next of 2010-0519:
when CONFIG_PCI is not enabled:

drivers/staging/comedi/drivers/mite.c: In function 'mite_init':
drivers/staging/comedi/drivers/mite.c:89: error: implicit declaration of function 'pci_dev_get'
drivers/staging/comedi/drivers/mite.c:89: warning: assignment makes pointer from integer without a cast
make[5]: *** [drivers/staging/comedi/drivers/mite.o] Error 1

Full config file is attached.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***